# Overhaul Maps:

A set of unique maps that tend to have fun gimmicks and dynamic elements that encourage map-centric play.

# It is recommended that you reduce the screen shake settings by going to Mods -> Performance Improvements -> Miscellaneous and reducing the screen shake strength value from 100 to ~10. The overhead light shake and chromatic aberrations can also be disabled if desired.

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045768042254172220/Performance_-1.gif" alt="How to GIF" width="500"/>

# You can also simply just turn on the settings of the ToggleEffects mod.

# Current Maps:
#### Adds 42 maps

(Note: liquids, black boxes, some ropes, and other things do not appear properly on the map images)

### Orbitals

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431634239246497/MapsExtended_aa6cb598-9830-47f3-98ab-96a76be1119c.png" alt="Orbitals Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782476485828678/Orbitals.gif" alt="Orbitals Map GIF" width="500"/>

A low gravity map with a rotating hazard in the center.

### Serpentine

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313537573024/MapsExtended_320ad21e-6fa1-4b2c-be11-cf96e277b4bb.png" alt="Serpentine Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478813675530/Serpentine.gif" alt="Serpentine Map GIF" width="500"/>

A snaked-shaped map that periodically moves. Stay on safe ground or jump up to avoid damage when the snake recoils.

### Cyclic

<img src="https://media.discordapp.net/attachments/1042927724265754724/1162845623284928592/MapsExtended_eb2fced4-b8b8-457a-b514-981803c8bff5.png?ex=653d6b61&is=652af661&hm=39a56fa33429cb81ac84e47a450bd2bf1a2e1c6c010d558ea16e759b7dfd4c2a&=" alt="Cyclic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426409164921/Cyclic.gif" alt="Cyclic Map GIF" width="500"/>

A map with a large saw running through the center at set intervals. Get to safety when it arrives.

### Oscillating

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312572903445/MapsExtended_7e62b08b-c185-49c3-960c-fda47f4672b7.png" alt="Oscillating Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772425624825956/Oscillating.gif" alt="Oscillating Map GIF" width="500"/>

A map with spinning ground and a moving platform at the bottom.

### Balance

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356241918074900/MapsExtended_f086cf7c-f1bb-4fcb-b74a-52a2c4187664.png" alt="Balance Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782478381654076/Balance.gif" alt="Balance Map GIF" width="500"/>

A map consisting of two scales that sway back and forth. Use your bullets on the platforms to affect their balance.

### Lurch

<img src="https://media.discordapp.net/attachments/1042927724265754724/1174816631449468968/MapsExtended_d87dd27c-150d-447a-b95c-2cd7fa15d936.png?ex=6568f83f&is=6556833f&hm=4e0d987c2184a16d533d24300b6db926d8febc5be3a7496f8293152e0d7a361b&=" alt="Lurch Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477991587840/Lurch.gif" alt="Lurch Map GIF" width="500"/>

A map consisting of a box with saws occasionally rushing across the map back and forth. Stay out of its way.

### Overhaul

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431632737681458/MapsExtended_604ece83-6269-469e-afb8-daad96cc2dd8.png" alt="Overhaul Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477081423944/Overhaul.gif" alt="Overhaul Map GIF" width="500"/>

A small map similar to the mod's logo.

### Broadside

<img src="https://media.discordapp.net/attachments/1042927724265754724/1116211810803134525/MapsExtended_be643af1-630f-4aca-85c4-af9249af6317.png" alt="Broadside Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782477479878796/Broadside.gif" alt="Broadside Map GIF" width="500"/>

A water map consisting of small boats, cannons, and sea mines. Shoot the cannons and sea mines to wreak havok, or shoot your boat to move it away.

### Probability

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313319489578/MapsExtended_65e090e4-d534-467a-b674-9701ef1a69e2.png" alt="Probability Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045782479354732615/Probability.gif" alt="Probability Map GIF" width="500"/>

A map built like a plinko board. Saws will fall down the map and reappear at the top again.

### Magmatic

<img src="https://media.discordapp.net/attachments/1042927724265754724/1108832558134857769/MapsExtended_12807534-8cea-4671-b577-ac9c9a8ab0ec.png" alt="Magmatic Map Image" width="500"/>

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1045772426845356062/Magmatic.gif" alt="Magmatic Map GIF" width="500"/>

A map with a central volcano that constantly spews molten rock. Getting hit will set you on fire.

### Nostalgia 

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356241104379974/MapsExtended_da606d18-fc98-4f6e-b114-976d0cb12b11.png" alt="Nostalgia Map Image" width="500"/>

A retro style map that takes place in some sort of construction site with blazing rolling barrels constantly falling and parts of the map on fire. OSHA will not be happy.

### Elementary

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1162845622592880640/MapsExtended_6a4ff61f-f83b-477c-9011-53962de7d9b9.png?ex=653d6b61&is=652af661&hm=e1f5f43a73818367f4bba422dd23c1dc29e5f863bbbf169e514ed3e45e314ad7&=" alt="Elementary Map Image" width="500"/>

A relatively simple map with 4 themed sections that each utilize the distinct elements of water, lava, acid, and space.

### Sinkhole

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313797623868/MapsExtended_903d7e79-326d-4fa5-955d-0931bdf49a80.png" alt="Sinkhole Map Image" width="500"/>

A (new and improved) map that is slowly sinking into the map boundary. Win the round before there's no where left to stand.

### Flip Flop

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357382445793380/MapsExtended_b8d94fc3-6227-4e17-ab5c-308ea10f168f.png" alt="Flip Flop Map Image" width="500"/>

A simple map with spinning platforms.

### Wipeout

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312287674408/MapsExtended_4ec0d674-ffd0-4634-92ea-2a8fb0668f92.png" alt="Wipeout Map Image" width="500"/>

A simple map with shrinking spinning blocks. 

### Galleons

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431631655550976/MapsExtended_7a37dc0e-e184-4848-bf80-80ed7662d327.png" alt="Galleons Map Image" width="500"/>

A water map with two barely-held-together ships.

### Trenches

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356239799959672/MapsExtended_c8ab0404-aa61-4d43-bb3a-454fb3dbcedc.png" alt="Trenches Map Image" width="500"/>

A map in which you must break the terrain to make a path to your opponents.

### Hyper Tubes

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1174816631126495304/MapsExtended_36390bef-2007-45ab-a169-1e2f464ebe6b.png?ex=6568f83f&is=6556833f&hm=d37daf1c4262034ee9d022c69b8e5e740cf71dcb6a93d7ce6d38f784501a940c&=" alt="Hyper Tubes Map Image" width="500"/>

A segmented map connected with hyper tubes that quickly transport you.

### Pinball Machine

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357312790986802/MapsExtended_54bfb2ed-e535-43b5-9892-7a56ff41fd3e.png" alt="Pinball Machine Map Image" width="500"/>

A map based around a malfuctioning pinball machine that launches balls around the map.

### Recursion

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1136147185709355018/MapsExtended_89151125-c57c-43a0-bf77-6255a8443e86.png" alt="Recursion Map Image" width="500"/>

A map with repeating elements. A map with repeating elements. A map with repeating elements.

### Revolution

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431634750947349/MapsExtended_ef42fdac-6614-4798-9c63-5104058991b4.png" alt="Revolution Map Image" width="500"/>

A map with two ferris-wheel-esque contraptions to play around.

### Enginery

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114361501944393849/MapsExtended_33cae59c-db2f-4721-979e-4c905040952e.png" alt="Enginery Map Image" width="500"/>

A complex map with moving saws and a platform that can be dropped onto moving blocks in order to cause chaos.

### Coalesce

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357313059426375/MapsExtended_55eb0c46-9835-441f-bc1d-936bc74887d4.png" alt="Coalesce Map Image" width="500"/>

A map with moving platforms and saws that separate and then come together again.

### Weave

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431987185717379/MapsExtended_85f1f0c9-8a93-4538-9016-4c7a2a6038b2.png" alt="Weave Map Image" width="500"/>

A map with fast saws that swing by from off screen at regular intervals. Harmless green background blocks alternate between saw cycles.

### Division

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357311545282741/MapsExtended_0bb96f36-6851-46f7-b490-eb5a25499f4a.png" alt="Division Map Image" width="500"/>

A map with moving blocks ready to crush you if you make the wrong move.

### As Above

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356240550740079/MapsExtended_caa859fc-a56d-4781-9102-40d348bdfc79.png" alt="As Above Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be destroyed, causing people to fall to their death.

### So Below

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431633136144384/MapsExtended_830a3902-2585-4934-9c00-309df4cfe2a1.png" alt="So Below Map Image" width="500"/>

A bridge themed map where the platforms you stand on can be dropped onto shallow water. Slipping off the fallen platforms could be deadly.

### Miniature

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1136147185436737566/MapsExtended_92d70314-c8d9-486f-bd22-291ba1e36689.png" alt="Miniature Map Image" width="500"/>

A mini golf themed map with flying golf balls, a miniature windmill hazard, a golf cart, and a golf club.

### Flipside

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114356241385406594/MapsExtended_f3adcbb6-7015-45cf-8cd6-4b07161ec816.png" alt="Flipside Map Image" width="500"/>

A map with two sides: blocks will blink in and out of existence every 3 seconds to match the current side.

### Falling Down

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1114357382185767002/MapsExtended_88191ab9-70eb-465c-b3e5-7df8713bb86c.png" alt="Falling Down Map Image" width="500"/>

A map consisting of several vertical platforms slowly falling down and reappearing at the top. You must constantly climb upwards as you fight.

### Rising Up

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1116211810551484416/MapsExtended_a88abd80-2015-43c5-9570-8c7a94240d7e.png" alt="Rising Up Map Image" width="500"/>

A map consisting of several horizontal platforms slowly rising up and reappearing at the bottom. You must constantly drop down as you fight.

### Pipe Dream

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431632368586762/MapsExtended_80a6e1f7-66d9-4688-b53a-2a70664b24e4.png" alt="Pipe Dream Map Image" width="500"/>

A map consisting of several pipes that constantly move left as more appear from the right. Weave between the pipes like some bird.

### Rotational

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1123431633496850442/MapsExtended_76020e51-0eb9-44d5-a70c-49c0ae782b0c.png" alt="Rotational Map Image" width="500"/>

A map inside a box that rotates round and round.

### Origins

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1150648439101739128/MapsExtended_aeea9cc4-578c-4b5c-811b-b00362316b41.png" alt="Origins Map Image" width="500"/>

An old-school map consisting of a ping pong match in which you must dodge the ball as the goals are scores. The map resets when 3 points are earned.

### Title

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1150648439630200963/MapsExtended_d2fa599d-e8dd-4955-93b0-e929d133c8ad.png" alt="Title Map Image" width="500"/>

A map themed around ROUNDS' title screen. Thank you for 100k downloads!

### No Internet

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1150648439932203018/MapsExtended_dac68be1-3d86-4b21-a314-07cff4d256ee.png" alt="No Internet Map Image" width="500"/>

A prehistoric map with dinosaurs and cacti slowly moving across the screen. Make sure you're not having a connection error.

### Ghastly

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1174816630736429106/MapsExtended_8c94d79f-3020-4d7c-9825-b6c1ddf7f5de.png?ex=6568f83f&is=6556833f&hm=62b20bae7d9e6faf194803dafd33070d8e766dab12ed34adfd46833db5c0e333&=" alt="Ghastly Map Image" width="500"/>

Another old school map that takes place in a blue maze with colored ghosts (saws) and fruit.

### Tic Tac Toe

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1150648440318087180/MapsExtended_f5ada67c-afe7-45a1-9874-e9467442dfbc.png" alt="Tic Tac Toe Map Image" width="500"/>

A simple map that perpetually plays out a game of Tic Tac Toe.

### Poltergeist

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1162845622945198180/MapsExtended_685f8ea0-b6ee-41a5-8eff-ec7ac1f9d590.png?ex=653d6b61&is=652af661&hm=14a62f9c1d81779c6e93d4692f37e2ad31e74dda2add10876b65ae859ab6db09&=" alt="Poltergeist Map Image" width="500"/>

A map consisting of various ghosts that fade in and out of view.

### Celestial

(GIF currently unavailable)

<img src="https://cdn.discordapp.com/attachments/1042927724265754724/1169123312882958358/MapsExtended_b682e387-bca7-4b49-bcc1-a0a85fed8e65.png?ex=655441ef&is=6541ccef&hm=42b9575720f7fbda588bb456a195e83688ce354dcc292f3092b3883e6d20d1a7&" alt="Celestial Map Image" width="500"/>

A map from another world of frozen peaks and haunted hotels - just in time for Overhaulloween!

### Emulation

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1174816630392504432/MapsExtended_1e8d0b82-7361-4386-a0fa-8eb21b8691b6.png?ex=6568f83f&is=6556833f&hm=db5981f69d1065e320ae29222fae0297c626e19055c803116b09a07ef4d67f16&=" alt="Emulation Map Image" width="500"/>

A map small enough to fit on an old TV screen.

### Down Under

(GIF currently unavailable)

<img src="https://media.discordapp.net/attachments/1042927724265754724/1175082638214709258/MapsExtended_0a540de1-6f6b-4877-856f-f9deddbb9754.png?ex=6569effc&is=65577afc&hm=6c240d70c3fefc38a0f0c0da077967ba308217d67e5a98bba08609d667b9851f&=" alt="Down Under Map Image" width="500"/>

An upside-down map themed around (you guessed it) Australia.

---
## Bug Reports and Suggestions:
If you have found any issues or have any suggestions, please report them in the [ROUNDS Overhaul Discord](https://discord.com/channels/1038199747472797756/1042822464457154613).

I can also be reached at the [ROUNDS Modding Discord](https://discord.gg/rounds-modding). 